<?php
 // Saisie des données initiales 
 echo "Capital : "                 ;
 fscanf(STDIN,"%f",$Cap)           ;
 echo "Nombre d'années : "         ;
 fscanf(STDIN,"%d",$NbAn)          ;
 echo "Taux Annuel Hors Assurance (ex : 2.6) : " ;
 fscanf(STDIN,"%f",$TauxAnnuel)    ;
 printf("Taux Assurance (0.29) : ") ;
 fscanf(STDIN,"%f",$TauxAssAnnuel) ;
 // --- Calculs  ---
 $NbMois   = $NbAn*12                 ;
 $TauxM    = ($TauxAnnuel/100)/12     ;
 $calcul1  = $Cap*$TauxM              ;
 $calcul2  = pow((1+$TauxM),$NbMois)  ;
 $calcul3  = $calcul2-1               ;
 $TauxAssM = ($TauxAssAnnuel/100)/12  ;
 $MensHA   = round(($calcul1*($calcul2/$calcul3)),2);
 $AssM     = round(($Cap*$TauxAssM),2);
 $MensAC   = $MensHA+$AssM            ;
 // Affichage de la mensualité
 echo "Mensualité Hors Assurance     : ".$MensHA.PHP_EOL;
 echo "Coût de l'Assurance par mois  : ".$AssM.PHP_EOL  ;
 echo "Mensualité Assurance Comprise : ".$MensAC.PHP_EOL;
?>


